Subject: (IPng 6503) Re: IPv6 is happening the code cannot keep breaking

From: [email-masked]
Date: Fri, 18 Sep 1998 18:16:11 EDT

In a message dated 9/17/98 12:14:33 PM Eastern Daylight Time,
[email-masked] writes:

>  WARNING!!! WARNING!!! Danger Danger Will Robinson be careful now when
>  you fiddle with that computer we got to get back to planet earth or we
>  will be lost in space forever!!!!
  
>  This note is to probe a discussion in ngtrans or elsewhere regarding some 
>  statement from this WG as to the state of IPv6 implementations and the pain
>  of changing essential ingredients without regard to the existing
>  implementations and near term users of IPv6.
  
>  Let me first say that I would think all vendors have seen what I have
>  seen as a vendor in the market.
  
>   1.  IPv6 is showing up on customers requests for proposals when
>       procuruing networking software as to the vendors intent to
>       support IPv6.
  
>   2.  Early Adopter customers (not just university and research labs)
>       are asking how and when they can begin deployment of IPv6 test
>       beds in isolated departments or LANs.   
  
>   3.  Network Architects at customers will ask first how do we transition
>       to IPv6 and interoperate with IPv4.
  
>   4.  ISVs are asking how can they support IPv6 but ship IPv4 binaries
>       too.  What do we need to do to our (ISV) middleware APIs?
  
>   5.  How do I get an IPv6 address?
  
>   6.  Do you have a guide on how what steps I take to deploy IPv6?
>       In simple terms and the basics?  
  
>  These and other questions point to a market need and a market
>  requirement, which is the result of our work on IPv6 for the past 4
>  years, and the core specs reaching Draft Standard at this time.  In
>  addition to some vendors adding IPv6 to their marketing and
>  differentiating factors for networking software within their product
>  directions.

None of these points really point to a market need.  We have seen
customers ask more or less the same questions with regard
to OSI, MAP, token bus,  ISDN, etc. ad infinitum.  If those 
that tout a technology promise it is the best thing since sliced bread, 
customers will start to ask about it whether or not there is
a market for the product.  In fact, if there is a genuine market
for IPv6 products, vendors would start to sell products without
the blessing of standards committees.  BTW, I was not aware that 
Compaq currently offered any IPv6 products.  Thus, I am surprised 
that Compaq could have early adopter customers.

Joachim Martillo
 <A HREF="http://members.aol.com/Telford001/">Telford Tools, Inc.</A> 
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------